﻿namespace TwitterButtler
{
	#region #using Directives

	using System.Windows;

	using Properties;

	using Views;

	#endregion

	/// <summary>
	/// Interaction logic for App.xaml
	/// </summary>
	public partial class App : Application
	{
		protected override void OnStartup(StartupEventArgs e)
		{
			base.OnStartup(e);

			var bootstrapper = new Bootstrapper();

			bootstrapper.Compose();

			var window = new TwitterButtlerWindow {
			                                      	DataContext = bootstrapper.ViewModel
			                                      };
			window.ShowDialog();
		}

		protected override void OnExit(ExitEventArgs e)
		{
			Settings.Default.Save();

			base.OnExit(e);
		}
	}
}